All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Class ZeroConfigWorkspaceServer

    com.sas.services.connection.ZeroConfigWorkspaceServer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ZeroConfigWorkspaceServer

A server that IOM Bridge for Java will start and connect to. IOM Bridge for Java will look in the Windows registry for the SAS command and use it to start a workspace server, and it will connect to that workspace server. No Object Spawner nor Metadata server is required. The workspace server will always run under the same user ID as the Java process even if the program passes the user name and password of a different user in the getConnection(userName,password) method. Therefore, it is recommended that you use the getConnection() method with no arguments.

Typical usage:

     server = new ZeroConfigWorkspaceServer();
     config = new ManualConnectionFactoryConfiguration(server);
     manager = new ConnectionFactoryManager();
     factory = manager.getFactory(config);
     cred = new SecurityPackageCredential();
     cx = factory.getConnection(cred);
     try {...}
     finally {cx.close();}

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.connection.BridgeServer
`CURRENT_MAJOR_PROTOCOL_VERSION, CURRENT_MINOR_PROTOCOL_VERSION, ENCRYPTION_ALGORITHM_AES, ENCRYPTION_ALGORITHM_DES, ENCRYPTION_ALGORITHM_RC2, ENCRYPTION_ALGORITHM_RC4, ENCRYPTION_ALGORITHM_SASPROPRIETARY, ENCRYPTION_ALGORITHM_TRIPLEDES, ENCRYPTION_CONTENT_ALL, ENCRYPTION_CONTENT_AUTHENTICATION, ENCRYPTION_POLICY_NONE, ENCRYPTION_POLICY_OPTIONAL, ENCRYPTION_POLICY_REQUIRED`

Fields inherited from class com.sas.services.connection.Server
`AUTH_SERVICE_HOST, AUTH_SERVICE_METADATA, AUTH_SERVICE_NONE, AUTH_SERVICE_PROMPT, CLSID_ABM, CLSID_ABM_1_0, CLSID_OBJSPAWN, CLSID_OBJSPAWN_1_0, CLSID_OBJSPAWN_1_1, CLSID_POOLED_SAS, CLSID_POOLED_SAS_1_0, CLSID_SAS, CLSID_SAS_1_0, CLSID_SAS_1_1, CLSID_SAS_1_2, CLSID_SASGMS, CLSID_SASGMS_1_0, CLSID_SASMDX, CLSID_SASMDX_1_0, CLSID_SASMQX, CLSID_SASMQX_1_0, CLSID_SASOMI, CLSID_SASOMI_1_0, CLSID_SASOMI_1_1, CLSID_SASOMI_2_0, CLSID_SASSTP, CLSID_SASSTP_1_0, CLSID_SASTableServer, CLSID_SASTableServer_1_0, CLSID_UNDESIGNATED, OBJSPAWN_ID, SECURITY_PACKAGE_KERBEROS, SECURITY_PACKAGE_LIST_DEFAULT, SECURITY_PACKAGE_NEGOTIATE, SECURITY_PACKAGE_NTLM`

Constructor Summary
`ZeroConfigWorkspaceServer()` Construct a zero-config workspace server.
`ZeroConfigWorkspaceServer(java.lang.String sasCommand)` Construct a zero-config workspace server using the given command to start SAS.

Method Summary
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getSasCommand()` Get the sasCommand attribute.
`int` | `hashCode()`
`void` | `setSasCommand(java.lang.String sasCommand)` Set the sasCommand attribute.
`SASURI` | `toURI(Credential credential, java.lang.String cxID)`

Methods inherited from class com.sas.services.connection.BridgeServer
`countOverlappingElements, createUrlArray, getEncryptionAlgorithms, getEncryptionContent, getEncryptionPolicy, getMajor, getMinor, getNormalizedEncryptionAlgorithms, getOption, getSASVersionID, getServerName, mergeProxyLists, normalizeEncryptionAlgorithms, removeOption, setEncryptionAlgorithms, setEncryptionContent, setEncryptionPolicy, setMajor, setMinor, setOption, setSASVersionID, setServerName, urlsEqual, validateEncryptionContent, validateEncryptionPolicy`

Methods inherited from class com.sas.services.connection.TCPIPServer
`getHost, getNormalizedHost, getPort, setHost, setPort`

Methods inherited from class com.sas.services.connection.Server
`clone, fromURI, getAuthService, getClassID, getDomain, getMaxClients, getNormalizedClassID, getNormalizedSecurityPackage, getNormalizedSecurityPackageList, getReactivationLimit, getSecurityPackage, getSecurityPackageList, getServerComponentURI, getShutdownAfterMinutes, getSPN, normalizeSecurityPackage, normalizeSecurityPackageList, setAuthService, setClassID, setDomain, setMaxClients, setReactivationLimit, setSecurityPackage, setSecurityPackageList, setServerComponentURI, setShutdownAfterMinutes, setSPN, toString`

Constructor Detail

### ZeroConfigWorkspaceServer

    public ZeroConfigWorkspaceServer()

  Construct a zero-config workspace server.

### ZeroConfigWorkspaceServer

    public ZeroConfigWorkspaceServer(java.lang.String sasCommand)

  Construct a zero-config workspace server using the given command to start SAS.

  Parameters:
    `sasCommand` - the command to start SAS

Method Detail

### toURI

    public SASURI toURI(Credential credential,
                        java.lang.String cxID)

  Overrides:
    `toURI` in class `BridgeServer`

### setSasCommand

    public void setSasCommand(java.lang.String sasCommand)

  Set the sasCommand attribute. This is the command that will be used to start SAS.

  Parameters:
    `sasCommand` - the sasCommand attribute

### getSasCommand

    public java.lang.String getSasCommand()

  Get the sasCommand attribute. This is the command that will be used to start SAS.

  Returns:
    the sasCommand attribute

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `BridgeServer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BridgeServer`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.